import { EventEmitter } from '@angular/core';
import { GridListAddBtn, GridListCard, GridListPagination } from './grid-list.service';
export declare class GridListComponent {
    constructor();
    data: GridListCard[];
    hasList: boolean;
    loading: boolean;
    isList: boolean;
    addBtn: GridListAddBtn;
    pagination: GridListPagination;
    ItemsPerPage: number;
    thumbType: 'image' | 'audio';
    actionBtnClicked: EventEmitter<any>;
    actionBtn2Clicked: EventEmitter<any>;
    actionBtn3Clicked: EventEmitter<any>;
    actionBtn4Clicked: EventEmitter<any>;
    pageChanged: EventEmitter<number>;
    page: number;
    audios: HTMLAudioElement[];
    audiosProgress: any[];
    timer: any;
    onActionBtnClick(item: any): any;
    onActionBtn2Click(item: any): any;
    onActionBtn3Click(item: any): any;
    onActionBtn4Click(item: any): any;
    onChangePage(page: number): void;
    playAudio(src: any, index: number): void;
    pauseAudio(index: number): void;
    reloadAudio(index: number): void;
    private advance;
    private startTimer;
    removeAudio(index: number): void;
}
